Class: Gem::Commands::OutdatedCommand

Inherits:
Gem::Command show all
Includes:
LocalRemoteOptions, VersionOption
Defined in:
lib/rubygems/commands/outdated_command.rb

Instance Attribute Summary

Attributes inherited from Gem::Command

#command, #defaults, #options, #program_name, #summary

Instance Method Summary collapse

Methods included from VersionOption

#add_platform_option, #add_prerelease_option, #add_version_option

Methods included from LocalRemoteOptions

#accept_uri_http, #add_bulk_threshold_option, #add_clear_sources_option, #add_local_remote_options, #add_proxy_option, #add_source_option, #add_update_sources_option, #both?, #local?, #remote?

Methods inherited from Gem::Command

add_common_option, #add_extra_args, #add_option, add_specific_extra_args, #arguments, #begins?, build_args, build_args=, #check_deprecated_options, common_options, #defaults_str, #deprecate_option, #deprecated?, extra_args, extra_args=, #get_all_gem_names, #get_all_gem_names_and_versions, #get_one_gem_name, #get_one_optional_argument, #handle_options, #handles?, #invoke, #invoke_with_build_args, #merge_options, #remove_option, #show_help, #show_lookup_failure, specific_extra_args, specific_extra_args_hash, specific_extra_args_hash=, #usage, #when_invoked

Methods included from UserInteraction

#alert, #alert_error, #alert_warning, #ask, #ask_for_password, #ask_yes_no, #choose_from_list, #say, #terminate_interaction, #verbose

Methods included from DefaultUserInteraction

ui, #ui, #ui=, ui=, use_ui, #use_ui

Methods included from Text

#clean_text, #format_text, #levenshtein_distance, #min3, #truncate_text

Constructor Details

#initializeOutdatedCommand

Returns a new instance of OutdatedCommand.


11
12
13
14
15
16
# File 'lib/rubygems/commands/outdated_command.rb', line 11

def initialize
  super 'outdated', 'Display all gems that need updates'

  add_local_remote_options
  add_platform_option
end

Instance Method Details

#descriptionObject

:nodoc:


18
19
20
21
22
23
24
25
# File 'lib/rubygems/commands/outdated_command.rb', line 18

def description # :nodoc:
  <<-EOF
The outdated command lists gems you may wish to upgrade to a newer version.

You can check for dependency mismatches using the dependency command and
update the gems with the update or install commands.
  EOF
end

#executeObject


27
28
29
30
31
# File 'lib/rubygems/commands/outdated_command.rb', line 27

def execute
  Gem::Specification.outdated_and_latest_version.each do |spec, remote_version|
    say "#{spec.name} (#{spec.version} < #{remote_version})"
  end
end